﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;
using System.IO;
using System.Drawing;

namespace BulkMapExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        [System.Runtime.InteropServices.DllImport("gdi32.dll")]
        public static extern bool DeleteObject(IntPtr hObject);
        List<LatLon> Coords = new List<LatLon>();
        float width = 1440;
        float height = 900;
        public MainWindow()
        {
            InitializeComponent();

            #region coords List
            Coords.Add(new LatLon(33.58,-85.85 	));
            Coords.Add(new LatLon(32.67,-85.44 	));
            Coords.Add(new LatLon(33.57,-86.75 	));
            Coords.Add(new LatLon(32.90,-87.25 	));
            Coords.Add(new LatLon(31.32,-85.45 	));
            Coords.Add(new LatLon(31.28,-85.72 	));
            Coords.Add(new LatLon(33.97,-86.09 	));
            Coords.Add(new LatLon(34.65,-86.77 	));
            Coords.Add(new LatLon(32.38,-86.37 	));
            Coords.Add(new LatLon(30.68,-88.25 	));
            Coords.Add(new LatLon(30.63,-88.07 	));
            Coords.Add(new LatLon(32.30,-86.40 	));
            Coords.Add(new LatLon(34.75,-87.62 	));
            Coords.Add(new LatLon(32.34,-86.99 	));
            Coords.Add(new LatLon(31.87,-86.02 	));
            Coords.Add(new LatLon(33.23,-87.62 	));
            Coords.Add(new LatLon(51.88,-176.65 	));
            Coords.Add(new LatLon(67.10,-157.85 	));
            Coords.Add(new LatLon(61.17,-150.02 	));
            Coords.Add(new LatLon(61.22,-149.85 	));
            Coords.Add(new LatLon(57.83,-134.97 	));
            Coords.Add(new LatLon(61.58,-159.53 	));
            Coords.Add(new LatLon(55.03,-131.57 	));
            Coords.Add(new LatLon(53.50,-173.30 	));
            Coords.Add(new LatLon(71.30,-156.78 	));
            Coords.Add(new LatLon(70.13,-143.63 	));
            Coords.Add(new LatLon(60.78,-161.80 	));
            Coords.Add(new LatLon(66.92,-151.52 	));
            Coords.Add(new LatLon(64.00,-145.73 	));
            Coords.Add(new LatLon(60.82,-152.30 	));
            Coords.Add(new LatLon(63.38,-148.95 	));
            Coords.Add(new LatLon(56.00,-134.22 	));
            Coords.Add(new LatLon(60.38,-147.08 	));
            Coords.Add(new LatLon(58.33,-137.05 	));
            Coords.Add(new LatLon(60.33,-145.00 	));
            Coords.Add(new LatLon(67.50,-148.48 	));
            Coords.Add(new LatLon(62.88,-149.83 	));
            Coords.Add(new LatLon(65.83,-144.07 	));
            Coords.Add(new LatLon(55.20,-162.72 	));
            Coords.Add(new LatLon(60.50,-145.50 	));
            Coords.Add(new LatLon(55.80,-133.25 	));
            Coords.Add(new LatLon(70.20,-148.47 	));
            Coords.Add(new LatLon(59.05,-158.52 	));
            Coords.Add(new LatLon(62.73,-143.92 	));
            Coords.Add(new LatLon(53.88,-166.53 	));
            Coords.Add(new LatLon(64.77,-141.15 	));
            Coords.Add(new LatLon(59.62,-135.37 	));
            Coords.Add(new LatLon(58.20,-136.35 	));
            Coords.Add(new LatLon(64.82,-147.87 	));
            Coords.Add(new LatLon(62.85,-154.47 	));
            Coords.Add(new LatLon(57.45,-134.03 	));
            Coords.Add(new LatLon(65.93,-149.83 	));
            Coords.Add(new LatLon(66.57,-145.27 	));
            Coords.Add(new LatLon(58.25,-134.90 	));
            Coords.Add(new LatLon(68.48,-149.48 	));
            Coords.Add(new LatLon(63.77,-171.73 	));
            Coords.Add(new LatLon(62.15,-145.45 	));
            Coords.Add(new LatLon(58.42,-135.73 	));
            Coords.Add(new LatLon(59.23,-135.43 	));
            Coords.Add(new LatLon(61.98,-152.08 	));
            Coords.Add(new LatLon(63.83,-149.00 	));
            Coords.Add(new LatLon(59.63,-151.50 	));
            Coords.Add(new LatLon(58.10,-135.45 	));
            Coords.Add(new LatLon(59.75,-154.92 	));
            Coords.Add(new LatLon(58.37,-134.58 	));
            Coords.Add(new LatLon(56.97,-133.95 	));
            Coords.Add(new LatLon(60.57,-151.25 	));
            Coords.Add(new LatLon(55.35,-131.70 	));
            Coords.Add(new LatLon(58.68,-156.65 	));
            Coords.Add(new LatLon(57.75,-152.50 	));
            Coords.Add(new LatLon(66.87,-162.63 	));
            Coords.Add(new LatLon(61.63,-149.03 	));
            Coords.Add(new LatLon(70.92,-153.23 	));
            Coords.Add(new LatLon(65.00,-150.65 	));
            Coords.Add(new LatLon(61.43,-142.92 	));
            Coords.Add(new LatLon(62.97,-155.62 	));
            Coords.Add(new LatLon(60.37,-166.27 	));
            Coords.Add(new LatLon(59.43,-146.33 	));
            Coords.Add(new LatLon(63.90,-152.27 	));
            Coords.Add(new LatLon(64.55,-149.08 	));
            Coords.Add(new LatLon(62.07,-163.30 	));
            Coords.Add(new LatLon(53.58,-169.42 	));
            Coords.Add(new LatLon(64.50,-165.43 	));
            Coords.Add(new LatLon(62.97,-141.93 	));
            Coords.Add(new LatLon(70.50,-149.88 	));
            Coords.Add(new LatLon(61.60,-149.08 	));
            Coords.Add(new LatLon(63.03,-145.50 	));
            Coords.Add(new LatLon(56.82,-132.97 	));
            Coords.Add(new LatLon(69.82,-162.92 	));
            Coords.Add(new LatLon(56.25,-134.65 	));
            Coords.Add(new LatLon(65.25,-166.87 	));
            Coords.Add(new LatLon(56.95,-158.62 	));
            Coords.Add(new LatLon(66.82,-150.65 	));
            Coords.Add(new LatLon(70.25,-148.33 	));
            Coords.Add(new LatLon(60.20,-154.30 	));
            Coords.Add(new LatLon(62.17,-153.25 	));
            Coords.Add(new LatLon(55.33,-160.50 	));
            Coords.Add(new LatLon(60.18,-149.75 	));
            Coords.Add(new LatLon(53.20,-174.13 	));
            Coords.Add(new LatLon(66.27,-166.03 	));
            Coords.Add(new LatLon(57.07,-135.35 	));
            Coords.Add(new LatLon(56.88,-154.20 	));
            Coords.Add(new LatLon(59.75,-135.53 	));
            Coords.Add(new LatLon(61.97,-151.20 	));
            Coords.Add(new LatLon(62.03,-146.67 	));
            Coords.Add(new LatLon(57.15,-170.22 	));
            Coords.Add(new LatLon(61.90,-147.30 	));
            Coords.Add(new LatLon(62.30,-150.10 	));
            Coords.Add(new LatLon(65.17,-152.10 	));
            Coords.Add(new LatLon(69.37,-152.13 	));
            Coords.Add(new LatLon(63.88,-160.80 	));
            Coords.Add(new LatLon(61.13,-146.35 	));
            Coords.Add(new LatLon(61.13,-146.25 	));
            Coords.Add(new LatLon(70.62,-159.85 	));
            Coords.Add(new LatLon(66.03,-168.08 	));
            Coords.Add(new LatLon(60.78,-148.72 	));
            Coords.Add(new LatLon(61.75,-150.05 	));
            Coords.Add(new LatLon(56.48,-132.37 	));
            Coords.Add(new LatLon(59.52,-139.67 	));
            Coords.Add(new LatLon(32.17,-110.88 	));
            Coords.Add(new LatLon(33.68,-112.08 	));
            Coords.Add(new LatLon(31.45,-109.60 	));
            Coords.Add(new LatLon(33.47,-111.73 	));
            Coords.Add(new LatLon(35.13,-111.67 	));
            Coords.Add(new LatLon(31.60,-110.35 	));
            Coords.Add(new LatLon(33.55,-113.17 	));
            Coords.Add(new LatLon(33.42,-112.38 	));
            Coords.Add(new LatLon(35.95,-112.15 	));
            Coords.Add(new LatLon(35.27,-113.95 	));
            Coords.Add(new LatLon(33.53,-112.38 	));
            Coords.Add(new LatLon(36.93,-111.45 	));
            Coords.Add(new LatLon(34.23,-111.33 	));
            Coords.Add(new LatLon(33.43,-112.02 	));
            Coords.Add(new LatLon(34.65,-112.43 	));
            Coords.Add(new LatLon(32.82,-109.68 	));
            Coords.Add(new LatLon(33.62,-111.92 	));
            Coords.Add(new LatLon(34.27,-110.00 	));
            Coords.Add(new LatLon(34.27,-110.00 	));
            Coords.Add(new LatLon(32.12,-110.93 	));
            Coords.Add(new LatLon(33.30,-111.67 	));
            Coords.Add(new LatLon(35.02,-110.73 	));
            Coords.Add(new LatLon(33.10,-115.00 	));
            Coords.Add(new LatLon(32.65,-114.62 	));
            Coords.Add(new LatLon(32.85,-114.40 	));
            Coords.Add(new LatLon(35.97,-89.95 	));
            Coords.Add(new LatLon(33.52,-92.40 	));
            Coords.Add(new LatLon(33.22,-92.80 	));
            Coords.Add(new LatLon(36.00,-94.17 	));
            Coords.Add(new LatLon(35.33,-94.37 	));
            Coords.Add(new LatLon(36.27,-93.15 	));
            Coords.Add(new LatLon(34.48,-93.10 	));
            Coords.Add(new LatLon(35.83,-90.65 	));
            Coords.Add(new LatLon(35.22,-92.38 	));
            Coords.Add(new LatLon(34.92,-92.15 	));
            Coords.Add(new LatLon(34.83,-92.25 	));
            Coords.Add(new LatLon(34.17,-91.93 	));
            Coords.Add(new LatLon(36.18,-94.13 	));
            Coords.Add(new LatLon(33.45,-94.00 	));
            Coords.Add(new LatLon(36.13,-90.93 	));
            Coords.Add(new LatLon(37.78,-122.32 	));
            Coords.Add(new LatLon(41.48,-120.53 	));
            Coords.Add(new LatLon(40.98,-124.10 	));
            Coords.Add(new LatLon(35.43,-119.05 	));
            Coords.Add(new LatLon(39.13,-121.45 	));
            Coords.Add(new LatLon(33.93,-116.95 	));
            Coords.Add(new LatLon(35.28,-116.62 	));
            Coords.Add(new LatLon(34.27,-116.68 	));
            Coords.Add(new LatLon(37.60,-118.60 	));
            Coords.Add(new LatLon(39.28,-120.70 	));
            Coords.Add(new LatLon(33.62,-114.72 	));
            Coords.Add(new LatLon(34.20,-118.37 	));
            Coords.Add(new LatLon(33.30,-117.35 	));
            Coords.Add(new LatLon(32.62,-116.47 	));
            Coords.Add(new LatLon(33.13,-117.28 	));
            Coords.Add(new LatLon(37.38,-120.57 	));
            Coords.Add(new LatLon(39.78,-121.85 	));
            Coords.Add(new LatLon(35.68,-117.68 	));
            Coords.Add(new LatLon(33.97,-117.63 	));
            Coords.Add(new LatLon(37.98,-122.05 	));
            Coords.Add(new LatLon(41.78,-124.23 	));
            Coords.Add(new LatLon(34.87,-116.78 	));
            Coords.Add(new LatLon(34.90,-117.88 	));
            Coords.Add(new LatLon(32.82,-115.68 	));
            Coords.Add(new LatLon(34.08,-118.03 	));
            Coords.Add(new LatLon(33.67,-117.73 	));
            Coords.Add(new LatLon(41.33,-124.28 	));
            Coords.Add(new LatLon(36.00,-121.32 	));
            Coords.Add(new LatLon(36.68,-121.77 	));
            Coords.Add(new LatLon(36.77,-119.72 	));
            Coords.Add(new LatLon(33.87,-117.97 	));
            Coords.Add(new LatLon(34.58,-117.38 	));
            Coords.Add(new LatLon(33.92,-118.33 	));
            Coords.Add(new LatLon(37.65,-122.12 	));
            Coords.Add(new LatLon(32.83,-115.57 	));
            Coords.Add(new LatLon(32.57,-117.12 	));
            Coords.Add(new LatLon(34.10,-117.78 	));
            Coords.Add(new LatLon(38.90,-120.00 	));
            Coords.Add(new LatLon(34.73,-118.22 	));
            Coords.Add(new LatLon(36.33,-119.95 	));
            Coords.Add(new LatLon(37.70,-121.82 	));
            Coords.Add(new LatLon(33.82,-118.15 	));
            Coords.Add(new LatLon(33.78,-118.05 	));
            Coords.Add(new LatLon(33.93,-118.40 	));
            Coords.Add(new LatLon(37.63,-118.92 	));
            Coords.Add(new LatLon(33.88,-117.27 	));
            Coords.Add(new LatLon(39.10,-121.57 	));
            Coords.Add(new LatLon(38.57,-121.30 	));
            Coords.Add(new LatLon(38.67,-121.40 	));
            Coords.Add(new LatLon(37.28,-120.52 	));
            Coords.Add(new LatLon(32.87,-117.15 	));
            Coords.Add(new LatLon(37.63,-120.95 	));
            Coords.Add(new LatLon(37.42,-122.05 	));
            Coords.Add(new LatLon(35.05,-118.15 	));
            Coords.Add(new LatLon(41.73,-122.53 	));
            Coords.Add(new LatLon(36.58,-121.85 	));
            Coords.Add(new LatLon(41.32,-122.32 	));
            Coords.Add(new LatLon(34.23,-118.07 	));
            Coords.Add(new LatLon(38.22,-122.28 	));
            Coords.Add(new LatLon(34.77,-114.62 	));
            Coords.Add(new LatLon(32.70,-117.20 	));
            Coords.Add(new LatLon(34.10,-117.23 	));
            Coords.Add(new LatLon(37.73,-122.22 	));
            Coords.Add(new LatLon(34.05,-117.62 	));
            Coords.Add(new LatLon(34.20,-119.20 	));
            Coords.Add(new LatLon(33.83,-116.50 	));
            Coords.Add(new LatLon(35.05,-118.13 	));
            Coords.Add(new LatLon(37.47,-122.12 	));
            Coords.Add(new LatLon(35.67,-120.63 	));
            Coords.Add(new LatLon(37.83,-122.83 	));
            Coords.Add(new LatLon(34.12,-119.12 	));
            Coords.Add(new LatLon(39.58,-124.22 	));
            Coords.Add(new LatLon(34.95,-121.12 	));
            Coords.Add(new LatLon(35.67,-121.28 	));
            Coords.Add(new LatLon(36.12,-121.47 	));
            Coords.Add(new LatLon(40.15,-122.25 	));
            Coords.Add(new LatLon(40.50,-122.30 	));
            Coords.Add(new LatLon(33.95,-117.45 	));
            Coords.Add(new LatLon(38.52,-121.50 	));
            Coords.Add(new LatLon(38.70,-121.60 	));
            Coords.Add(new LatLon(36.67,-121.60 	));
            Coords.Add(new LatLon(37.52,-122.25 	));
            Coords.Add(new LatLon(33.42,-117.62 	));
            Coords.Add(new LatLon(33.02,-118.58 	));
            Coords.Add(new LatLon(32.82,-117.13 	));
            Coords.Add(new LatLon(32.73,-117.17 	));
            Coords.Add(new LatLon(32.57,-116.98 	));
            Coords.Add(new LatLon(32.57,-116.98 	));
            Coords.Add(new LatLon(32.82,-116.97 	));
            Coords.Add(new LatLon(37.75,-122.68 	));
            Coords.Add(new LatLon(37.62,-122.38 	));
            Coords.Add(new LatLon(37.37,-121.92 	));
            Coords.Add(new LatLon(37.33,-121.82 	));
            Coords.Add(new LatLon(35.23,-120.65 	));
            Coords.Add(new LatLon(33.38,-117.58 	));
            Coords.Add(new LatLon(34.03,-120.40 	));
            Coords.Add(new LatLon(33.25,-119.45 	));
            Coords.Add(new LatLon(34.75,-118.73 	));
            Coords.Add(new LatLon(33.67,-117.88 	));
            Coords.Add(new LatLon(34.43,-119.83 	));
            Coords.Add(new LatLon(34.90,-120.45 	));
            Coords.Add(new LatLon(34.02,-118.45 	));
            Coords.Add(new LatLon(38.52,-122.82 	));
            Coords.Add(new LatLon(40.03,-124.07 	));
            Coords.Add(new LatLon(41.78,-122.47 	));
            Coords.Add(new LatLon(37.90,-121.25 	));
            Coords.Add(new LatLon(35.33,-117.10 	));
            Coords.Add(new LatLon(40.63,-120.95 	));
            Coords.Add(new LatLon(33.63,-116.17 	));
            Coords.Add(new LatLon(33.80,-118.33 	));
            Coords.Add(new LatLon(38.27,-121.93 	));
            Coords.Add(new LatLon(39.32,-120.13 	));
            Coords.Add(new LatLon(33.70,-117.83 	));
            Coords.Add(new LatLon(34.28,-116.15 	));
            Coords.Add(new LatLon(39.13,-123.20 	));
            Coords.Add(new LatLon(34.22,-118.48 	));
            Coords.Add(new LatLon(35.20,-120.95 	));
            Coords.Add(new LatLon(36.32,-119.40 	));
            Coords.Add(new LatLon(39.52,-105.35 	));
            Coords.Add(new LatLon(40.17,-103.22 	));
            Coords.Add(new LatLon(37.45,-105.87 	));
            Coords.Add(new LatLon(39.22,-106.87 	));
            Coords.Add(new LatLon(39.90,-105.12 	));
            Coords.Add(new LatLon(39.72,-104.75 	));
            Coords.Add(new LatLon(38.82,-104.72 	));
            Coords.Add(new LatLon(37.30,-108.63 	));
            Coords.Add(new LatLon(40.50,-107.53 	));
            Coords.Add(new LatLon(39.75,-104.87 	));
            Coords.Add(new LatLon(37.15,-107.75 	));
            Coords.Add(new LatLon(39.65,-106.92 	));
            Coords.Add(new LatLon(39.57,-104.83 	));
            Coords.Add(new LatLon(38.68,-104.77 	));
            Coords.Add(new LatLon(39.57,-105.50 	));
            Coords.Add(new LatLon(40.45,-105.02 	));
            Coords.Add(new LatLon(40.58,-105.08 	));
            Coords.Add(new LatLon(39.12,-108.53 	));
            Coords.Add(new LatLon(40.43,-104.63 	));
            Coords.Add(new LatLon(38.55,-106.93 	));
            Coords.Add(new LatLon(38.55,-106.92 	));
            Coords.Add(new LatLon(38.05,-103.52 	));
            Coords.Add(new LatLon(38.12,-102.60 	));
            Coords.Add(new LatLon(39.25,-106.30 	));
            Coords.Add(new LatLon(39.18,-103.70 	));
            Coords.Add(new LatLon(38.50,-107.88 	));
            Coords.Add(new LatLon(38.50,-107.88 	));
            Coords.Add(new LatLon(38.28,-104.52 	));
            Coords.Add(new LatLon(39.53,-107.80 	));
            Coords.Add(new LatLon(38.53,-106.05 	));
            Coords.Add(new LatLon(40.48,-106.82 	));
            Coords.Add(new LatLon(37.25,-104.33 	));
            Coords.Add(new LatLon(40.00,-105.87 	));
            Coords.Add(new LatLon(41.17,-73.13 	));
            Coords.Add(new LatLon(41.37,-73.48 	));
            Coords.Add(new LatLon(41.33,-72.05 	));
            Coords.Add(new LatLon(41.73,-72.65 	));
            Coords.Add(new LatLon(41.22,-72.67 	));
            Coords.Add(new LatLon(41.27,-72.88 	));
            Coords.Add(new LatLon(41.27,-72.90 	));
            Coords.Add(new LatLon(41.30,-72.08 	));
            Coords.Add(new LatLon(41.93,-72.68 	));
            Coords.Add(new LatLon(39.13,-75.47 	));
            Coords.Add(new LatLon(39.67,-75.60 	));
            Coords.Add(new LatLon(38.95,-77.46 	));
            Coords.Add(new LatLon(38.85,-77.04 	));
            Coords.Add(new LatLon(29.73,-85.03 	));
            Coords.Add(new LatLon(29.12,-81.57 	));
            Coords.Add(new LatLon(28.08,-81.55 	));
            Coords.Add(new LatLon(28.47,-80.55 	));
            Coords.Add(new LatLon(30.22,-81.88 	));
            Coords.Add(new LatLon(30.78,-86.52 	));
            Coords.Add(new LatLon(29.62,-83.10 	));
            Coords.Add(new LatLon(29.18,-81.05 	));
            Coords.Add(new LatLon(30.65,-86.52 	));
            Coords.Add(new LatLon(30.48,-86.53 	));
            Coords.Add(new LatLon(27.60,-82.77 	));
            Coords.Add(new LatLon(26.13,-80.13 	));
            Coords.Add(new LatLon(26.58,-81.87 	));
            Coords.Add(new LatLon(26.07,-80.15 	));
            Coords.Add(new LatLon(26.65,-81.87 	));
            Coords.Add(new LatLon(29.68,-82.27 	));
            Coords.Add(new LatLon(25.48,-80.38 	));
            Coords.Add(new LatLon(30.43,-86.68 	));
            Coords.Add(new LatLon(30.33,-81.52 	));
            Coords.Add(new LatLon(30.50,-81.70 	));
            Coords.Add(new LatLon(30.23,-81.68 	));
            Coords.Add(new LatLon(24.55,-81.75 	));
            Coords.Add(new LatLon(24.57,-81.68 	));
            Coords.Add(new LatLon(28.03,-81.95 	));
            Coords.Add(new LatLon(27.85,-82.52 	));
            Coords.Add(new LatLon(30.84,-85.18 	));
            Coords.Add(new LatLon(30.40,-81.42 	));
            Coords.Add(new LatLon(28.10,-80.63 	));
            Coords.Add(new LatLon(25.82,-80.28 	));
            Coords.Add(new LatLon(25.92,-80.28 	));
            Coords.Add(new LatLon(25.65,-80.43 	));
            Coords.Add(new LatLon(26.13,-81.80 	));
            Coords.Add(new LatLon(28.62,-80.68 	));
            Coords.Add(new LatLon(28.43,-81.32 	));
            Coords.Add(new LatLon(28.55,-81.33 	));
            Coords.Add(new LatLon(30.20,-85.68 	));
            Coords.Add(new LatLon(28.23,-80.60 	));
            Coords.Add(new LatLon(30.35,-87.32 	));
            Coords.Add(new LatLon(30.47,-87.20 	));
            Coords.Add(new LatLon(27.97,-82.60 	));
            Coords.Add(new LatLon(27.92,-82.68 	));
            Coords.Add(new LatLon(28.78,-81.25 	));
            Coords.Add(new LatLon(27.40,-82.55 	));
            Coords.Add(new LatLon(30.38,-84.37 	));
            Coords.Add(new LatLon(27.97,-82.53 	));
            Coords.Add(new LatLon(28.52,-80.80 	));
            Coords.Add(new LatLon(30.07,-85.58 	));
            Coords.Add(new LatLon(27.65,-80.42 	));
            Coords.Add(new LatLon(26.68,-80.12 	));
            Coords.Add(new LatLon(30.72,-87.02 	));
            Coords.Add(new LatLon(31.53,-84.18 	));
            Coords.Add(new LatLon(31.53,-82.52 	));
            Coords.Add(new LatLon(33.95,-83.32 	));
            Coords.Add(new LatLon(33.65,-84.42 	));
            Coords.Add(new LatLon(33.65,-84.42 	));
            Coords.Add(new LatLon(33.88,-84.30 	));
            Coords.Add(new LatLon(33.78,-84.52 	));
            Coords.Add(new LatLon(33.37,-81.97 	));
            Coords.Add(new LatLon(31.15,-81.38 	));
            Coords.Add(new LatLon(32.52,-84.93 	));
            Coords.Add(new LatLon(33.92,-84.52 	));
            Coords.Add(new LatLon(34.53,-84.87 	));
            Coords.Add(new LatLon(32.33,-85.00 	));
            Coords.Add(new LatLon(31.88,-81.57 	));
            Coords.Add(new LatLon(32.02,-81.15 	));
            Coords.Add(new LatLon(33.01,-85.07 	));
            Coords.Add(new LatLon(32.70,-83.65 	));
            Coords.Add(new LatLon(30.97,-83.20 	));
            Coords.Add(new LatLon(32.63,-83.60 	));
            Coords.Add(new LatLon(34.35,-85.17 	));
            Coords.Add(new LatLon(32.13,-81.20 	));
            Coords.Add(new LatLon(30.78,-83.28 	));
            Coords.Add(new LatLon(31.25,-82.40 	));
            Coords.Add(new LatLon(21.53,-158.12 	));
            Coords.Add(new LatLon(21.53,-158.12 	));
            Coords.Add(new LatLon(22.05,-160.30 	));
            Coords.Add(new LatLon(24.45,-166.47 	));
            Coords.Add(new LatLon(19.72,-155.07 	));
            Coords.Add(new LatLon(21.35,-157.93 	));
            Coords.Add(new LatLon(20.90,-156.43 	));
            Coords.Add(new LatLon(21.75,-158.28 	));
            Coords.Add(new LatLon(21.75,-158.28 	));
            Coords.Add(new LatLon(19.75,-156.05 	));
            Coords.Add(new LatLon(22.38,-159.67 	));
            Coords.Add(new LatLon(20.80,-156.95 	));
            Coords.Add(new LatLon(21.98,-159.35 	));
            Coords.Add(new LatLon(20.97,-156.83 	));
            Coords.Add(new LatLon(21.15,-157.10 	));
            Coords.Add(new LatLon(20.42,-156.47 	));
            Coords.Add(new LatLon(20.00,-156.12 	));
            Coords.Add(new LatLon(43.57,-116.22 	));
            Coords.Add(new LatLon(42.53,-113.77 	));
            Coords.Add(new LatLon(44.52,-114.22 	));
            Coords.Add(new LatLon(47.77,-116.82 	));
            Coords.Add(new LatLon(45.82,-115.43 	));
            Coords.Add(new LatLon(43.00,-115.17 	));
            Coords.Add(new LatLon(45.92,-116.13 	));
            Coords.Add(new LatLon(43.52,-112.07 	));
            Coords.Add(new LatLon(46.38,-117.02 	));
            Coords.Add(new LatLon(42.17,-112.32 	));
            Coords.Add(new LatLon(42.30,-113.37 	));
            Coords.Add(new LatLon(44.88,-116.10 	));
            Coords.Add(new LatLon(43.05,-115.87 	));
            Coords.Add(new LatLon(47.47,-115.80 	));
            Coords.Add(new LatLon(42.92,-112.60 	));
            Coords.Add(new LatLon(45.18,-113.90 	));
            Coords.Add(new LatLon(45.17,-114.47 	));
            Coords.Add(new LatLon(42.65,-111.58 	));
            Coords.Add(new LatLon(43.50,-114.30 	));
            Coords.Add(new LatLon(42.48,-114.48 	));
            Coords.Add(new LatLon(38.88,-90.05 	));
            Coords.Add(new LatLon(41.77,-88.32 	));
            Coords.Add(new LatLon(38.57,-90.15 	));
            Coords.Add(new LatLon(40.48,-88.93 	));
            Coords.Add(new LatLon(41.16,-89.60 	));
            Coords.Add(new LatLon(37.07,-89.22 	));
            Coords.Add(new LatLon(37.78,-89.25 	));
            Coords.Add(new LatLon(38.51,-89.09 	));
            Coords.Add(new LatLon(40.03,-88.28 	));
            Coords.Add(new LatLon(41.90,-87.65 	));
            Coords.Add(new LatLon(41.87,-87.62 	));
            Coords.Add(new LatLon(41.78,-87.75 	));
            Coords.Add(new LatLon(41.98,-87.90 	));
            Coords.Add(new LatLon(40.20,-87.60 	));
            Coords.Add(new LatLon(41.93,-88.72 	));
            Coords.Add(new LatLon(39.83,-88.87 	));
            Coords.Add(new LatLon(41.92,-88.25 	));
            Coords.Add(new LatLon(40.93,-90.43 	));
            Coords.Add(new LatLon(42.08,-87.82 	));
            Coords.Add(new LatLon(41.07,-87.85 	));
            Coords.Add(new LatLon(40.52,-90.66 	));
            Coords.Add(new LatLon(37.75,-89.00 	));
            Coords.Add(new LatLon(41.37,-88.68 	));
            Coords.Add(new LatLon(39.48,-88.28 	));
            Coords.Add(new LatLon(41.45,-90.52 	));
            Coords.Add(new LatLon(38.32,-88.86 	));
            Coords.Add(new LatLon(40.67,-89.68 	));
            Coords.Add(new LatLon(39.93,-91.20 	));
            Coords.Add(new LatLon(42.20,-89.10 	));
            Coords.Add(new LatLon(38.63,-88.96 	));
            Coords.Add(new LatLon(38.55,-89.85 	));
            Coords.Add(new LatLon(39.85,-89.67 	));
            Coords.Add(new LatLon(41.74,-89.67 	));
            Coords.Add(new LatLon(39.53,-89.33 	));
            Coords.Add(new LatLon(38.99,-89.17 	));
            Coords.Add(new LatLon(39.38,-86.50 	));
            Coords.Add(new LatLon(39.13,-86.62 	));
            Coords.Add(new LatLon(41.72,-86.00 	));
            Coords.Add(new LatLon(38.05,-87.53 	));
            Coords.Add(new LatLon(41.00,-85.20 	));
            Coords.Add(new LatLon(41.62,-87.42 	));
            Coords.Add(new LatLon(40.65,-86.15 	));
            Coords.Add(new LatLon(39.73,-86.27 	));
            Coords.Add(new LatLon(40.23,-85.38 	));
            Coords.Add(new LatLon(41.70,-86.32 	));
            Coords.Add(new LatLon(39.45,-87.30 	));
            Coords.Add(new LatLon(40.42,-86.93 	));
            Coords.Add(new LatLon(40.78,-91.12 	));
            Coords.Add(new LatLon(41.88,-91.70 	));
            Coords.Add(new LatLon(41.53,-93.65 	));
            Coords.Add(new LatLon(42.40,-90.70 	));
            Coords.Add(new LatLon(43.40,-94.75 	));
            Coords.Add(new LatLon(42.55,-94.18 	));
            Coords.Add(new LatLon(40.62,-93.93 	));
            Coords.Add(new LatLon(43.15,-93.33 	));
            Coords.Add(new LatLon(41.10,-92.45 	));
            Coords.Add(new LatLon(42.40,-96.38 	));
            Coords.Add(new LatLon(43.17,-95.15 	));
            Coords.Add(new LatLon(42.55,-92.40 	));
            Coords.Add(new LatLon(37.67,-95.48 	));
            Coords.Add(new LatLon(37.75,-97.22 	));
            Coords.Add(new LatLon(39.55,-97.65 	));
            Coords.Add(new LatLon(37.77,-99.97 	));
            Coords.Add(new LatLon(37.00,-101.88 	));
            Coords.Add(new LatLon(38.33,-96.20 	));
            Coords.Add(new LatLon(39.37,-94.92 	));
            Coords.Add(new LatLon(39.05,-96.77 	));
            Coords.Add(new LatLon(37.93,-100.72 	));
            Coords.Add(new LatLon(39.37,-101.70 	));
            Coords.Add(new LatLon(38.85,-99.27 	));
            Coords.Add(new LatLon(39.38,-99.83 	));
            Coords.Add(new LatLon(38.07,-97.87 	));
            Coords.Add(new LatLon(38.82,-94.88 	));
            Coords.Add(new LatLon(37.05,-100.97 	));
            Coords.Add(new LatLon(39.15,-96.67 	));
            Coords.Add(new LatLon(37.62,-97.27 	));
            Coords.Add(new LatLon(37.30,-98.58 	));
            Coords.Add(new LatLon(38.85,-94.90 	));
            Coords.Add(new LatLon(38.87,-98.82 	));
            Coords.Add(new LatLon(38.80,-97.65 	));
            Coords.Add(new LatLon(39.07,-95.62 	));
            Coords.Add(new LatLon(38.95,-95.67 	));
            Coords.Add(new LatLon(37.65,-97.43 	));
            Coords.Add(new LatLon(36.97,-86.43 	));
            Coords.Add(new LatLon(36.67,-87.50 	));
            Coords.Add(new LatLon(37.90,-85.97 	));
            Coords.Add(new LatLon(37.60,-83.32 	));
            Coords.Add(new LatLon(38.05,-85.00 	));
            Coords.Add(new LatLon(37.08,-84.07 	));
            Coords.Add(new LatLon(38.23,-85.67 	));
            Coords.Add(new LatLon(38.18,-85.73 	));
            Coords.Add(new LatLon(37.75,-87.17 	));
            Coords.Add(new LatLon(37.07,-88.77 	));
            Coords.Add(new LatLon(37.48,-82.52 	));
            Coords.Add(new LatLon(31.38,-92.30 	));
            Coords.Add(new LatLon(32.50,-93.67 	));
            Coords.Add(new LatLon(30.53,-91.15 	));
            Coords.Add(new LatLon(29.55,-89.67 	));
            Coords.Add(new LatLon(29.78,-93.30 	));
            Coords.Add(new LatLon(31.22,-92.95 	));
            Coords.Add(new LatLon(31.33,-92.55 	));
            Coords.Add(new LatLon(28.47,-91.78 	));
            Coords.Add(new LatLon(31.05,-93.20 	));
            Coords.Add(new LatLon(29.18,-90.07 	));
            Coords.Add(new LatLon(28.22,-93.75 	));
            Coords.Add(new LatLon(28.13,-94.40 	));
            Coords.Add(new LatLon(29.57,-90.65 	));
            Coords.Add(new LatLon(29.73,-92.12 	));
            Coords.Add(new LatLon(30.20,-92.00 	));
            Coords.Add(new LatLon(30.12,-93.22 	));
            Coords.Add(new LatLon(29.70,-91.10 	));
            Coords.Add(new LatLon(28.78,-89.05 	));
            Coords.Add(new LatLon(32.52,-92.05 	));
            Coords.Add(new LatLon(29.70,-91.20 	));
            Coords.Add(new LatLon(30.03,-91.88 	));
            Coords.Add(new LatLon(29.98,-90.25 	));
            Coords.Add(new LatLon(29.83,-90.02 	));
            Coords.Add(new LatLon(30.03,-90.03 	));
            Coords.Add(new LatLon(28.30,-91.98 	));
            Coords.Add(new LatLon(32.52,-93.75 	));
            Coords.Add(new LatLon(32.47,-93.82 	));
            Coords.Add(new LatLon(30.35,-89.82 	));
            Coords.Add(new LatLon(44.32,-69.80 	));
            Coords.Add(new LatLon(44.80,-68.82 	));
            Coords.Add(new LatLon(44.45,-68.37 	));
            Coords.Add(new LatLon(43.88,-69.93 	));
            Coords.Add(new LatLon(46.87,-68.02 	));
            Coords.Add(new LatLon(45.45,-69.55 	));
            Coords.Add(new LatLon(45.78,-69.63 	));
            Coords.Add(new LatLon(46.13,-67.78 	));
            Coords.Add(new LatLon(46.95,-67.88 	));
            Coords.Add(new LatLon(43.65,-70.32 	));
            Coords.Add(new LatLon(46.68,-68.05 	));
            Coords.Add(new LatLon(44.07,-69.12 	));
            Coords.Add(new LatLon(44.88,-70.88 	));
            Coords.Add(new LatLon(38.82,-76.87 	));
            Coords.Add(new LatLon(39.18,-76.67 	));
            Coords.Add(new LatLon(39.18,-76.67 	));
            Coords.Add(new LatLon(39.33,-76.42 	));
            Coords.Add(new LatLon(39.08,-76.77 	));
            Coords.Add(new LatLon(39.70,-77.72 	));
            Coords.Add(new LatLon(38.55,-75.13 	));
            Coords.Add(new LatLon(38.28,-76.40 	));
            Coords.Add(new LatLon(39.47,-76.17 	));
            Coords.Add(new LatLon(38.33,-75.50 	));
            Coords.Add(new LatLon(42.47,-71.28 	));
            Coords.Add(new LatLon(42.58,-70.92 	));
            Coords.Add(new LatLon(42.37,-71.03 	));
            Coords.Add(new LatLon(41.78,-70.50 	));
            Coords.Add(new LatLon(41.67,-69.97 	));
            Coords.Add(new LatLon(42.57,-71.60 	));
            Coords.Add(new LatLon(41.67,-70.28 	));
            Coords.Add(new LatLon(42.72,-71.12 	));
            Coords.Add(new LatLon(41.40,-70.62 	));
            Coords.Add(new LatLon(41.25,-70.07 	));
            Coords.Add(new LatLon(41.68,-70.97 	));
            Coords.Add(new LatLon(42.18,-71.18 	));
            Coords.Add(new LatLon(41.65,-70.52 	));
            Coords.Add(new LatLon(42.26,-73.18 	));
            Coords.Add(new LatLon(42.15,-70.93 	));
            Coords.Add(new LatLon(42.17,-72.72 	));
            Coords.Add(new LatLon(42.20,-72.53 	));
            Coords.Add(new LatLon(42.27,-71.87 	));
            Coords.Add(new LatLon(45.07,-83.57 	));
            Coords.Add(new LatLon(42.22,-83.75 	));
            Coords.Add(new LatLon(42.30,-85.23 	));
            Coords.Add(new LatLon(42.13,-86.43 	));
            Coords.Add(new LatLon(46.25,-84.47 	));
            Coords.Add(new LatLon(43.07,-85.95 	));
            Coords.Add(new LatLon(47.47,-87.85 	));
            Coords.Add(new LatLon(42.42,-83.02 	));
            Coords.Add(new LatLon(42.23,-83.33 	));
            Coords.Add(new LatLon(45.73,-87.08 	));
            Coords.Add(new LatLon(42.97,-83.75 	));
            Coords.Add(new LatLon(42.88,-85.52 	));
            Coords.Add(new LatLon(47.17,-88.50 	));
            Coords.Add(new LatLon(43.83,-82.53 	));
            Coords.Add(new LatLon(44.37,-84.68 	));
            Coords.Add(new LatLon(45.82,-88.12 	));
            Coords.Add(new LatLon(46.53,-90.13 	));
            Coords.Add(new LatLon(42.27,-84.47 	));
            Coords.Add(new LatLon(42.23,-85.55 	));
            Coords.Add(new LatLon(42.77,-84.60 	));
            Coords.Add(new LatLon(44.27,-86.25 	));
            Coords.Add(new LatLon(46.88,-87.95 	));
            Coords.Add(new LatLon(45.12,-87.63 	));
            Coords.Add(new LatLon(43.17,-86.25 	));
            Coords.Add(new LatLon(45.57,-84.80 	));
            Coords.Add(new LatLon(42.67,-83.42 	));
            Coords.Add(new LatLon(43.53,-84.08 	));
            Coords.Add(new LatLon(46.47,-84.37 	));
            Coords.Add(new LatLon(46.35,-87.40 	));
            Coords.Add(new LatLon(42.62,-82.83 	));
            Coords.Add(new LatLon(45.92,-85.92 	));
            Coords.Add(new LatLon(44.73,-85.58 	));
            Coords.Add(new LatLon(44.45,-83.40 	));
            Coords.Add(new LatLon(42.23,-83.53 	));
            Coords.Add(new LatLon(43.68,-93.37 	));
            Coords.Add(new LatLon(45.87,-95.38 	));
            Coords.Add(new LatLon(47.50,-94.93 	));
            Coords.Add(new LatLon(46.40,-94.13 	));
            Coords.Add(new LatLon(46.82,-95.88 	));
            Coords.Add(new LatLon(46.83,-92.18 	));
            Coords.Add(new LatLon(47.90,-91.82 	));
            Coords.Add(new LatLon(43.65,-94.42 	));
            Coords.Add(new LatLon(46.30,-96.07 	));
            Coords.Add(new LatLon(47.22,-93.52 	));
            Coords.Add(new LatLon(47.38,-92.85 	));
            Coords.Add(new LatLon(48.57,-93.38 	));
            Coords.Add(new LatLon(45.13,-94.52 	));
            Coords.Add(new LatLon(44.22,-93.92 	));
            Coords.Add(new LatLon(44.45,-95.82 	));
            Coords.Add(new LatLon(44.83,-93.47 	));
            Coords.Add(new LatLon(45.07,-93.38 	));
            Coords.Add(new LatLon(44.88,-93.22 	));
            Coords.Add(new LatLon(46.90,-95.07 	));
            Coords.Add(new LatLon(46.60,-94.32 	));
            Coords.Add(new LatLon(44.55,-95.08 	));
            Coords.Add(new LatLon(43.92,-92.50 	));
            Coords.Add(new LatLon(44.93,-93.05 	));
            Coords.Add(new LatLon(45.55,-94.07 	));
            Coords.Add(new LatLon(48.07,-96.18 	));
            Coords.Add(new LatLon(47.58,-90.83 	));
            Coords.Add(new LatLon(48.93,-95.35 	));
            Coords.Add(new LatLon(43.65,-95.58 	));
            Coords.Add(new LatLon(33.65,-88.45 	));
            Coords.Add(new LatLon(33.45,-88.58 	));
            Coords.Add(new LatLon(33.48,-90.98 	));
            Coords.Add(new LatLon(33.50,-90.08 	));
            Coords.Add(new LatLon(30.40,-89.07 	));
            Coords.Add(new LatLon(31.47,-89.33 	));
            Coords.Add(new LatLon(32.32,-90.08 	));
            Coords.Add(new LatLon(30.42,-88.92 	));
            Coords.Add(new LatLon(31.67,-89.17 	));
            Coords.Add(new LatLon(31.18,-90.47 	));
            Coords.Add(new LatLon(32.55,-88.57 	));
            Coords.Add(new LatLon(32.33,-88.75 	));
            Coords.Add(new LatLon(31.62,-91.25 	));
            Coords.Add(new LatLon(34.39,-89.54 	));
            Coords.Add(new LatLon(34.27,-88.77 	));
            Coords.Add(new LatLon(38.82,-92.22 	));
            Coords.Add(new LatLon(37.23,-89.58 	));
            Coords.Add(new LatLon(37.75,-92.13 	));
            Coords.Add(new LatLon(38.60,-92.17 	));
            Coords.Add(new LatLon(37.17,-94.50 	));
            Coords.Add(new LatLon(39.32,-94.72 	));
            Coords.Add(new LatLon(39.12,-94.60 	));
            Coords.Add(new LatLon(40.10,-92.55 	));
            Coords.Add(new LatLon(37.33,-94.35 	));
            Coords.Add(new LatLon(35.66,-95.36 	));
            Coords.Add(new LatLon(36.77,-90.47 	));
            Coords.Add(new LatLon(38.85,-94.55 	));
            Coords.Add(new LatLon(40.25,-93.72 	));
            Coords.Add(new LatLon(37.23,-93.38 	));
            Coords.Add(new LatLon(40.28,-95.53 	));
            Coords.Add(new LatLon(38.75,-90.37 	));
            Coords.Add(new LatLon(38.65,-90.63 	));
            Coords.Add(new LatLon(38.13,-91.77 	));
            Coords.Add(new LatLon(37.22,-92.42 	));
            Coords.Add(new LatLon(36.88,-91.90 	));
            Coords.Add(new LatLon(38.73,-93.55 	));
            Coords.Add(new LatLon(45.80,-108.53 	));
            Coords.Add(new LatLon(45.78,-111.15 	));
            Coords.Add(new LatLon(45.67,-105.67 	));
            Coords.Add(new LatLon(45.95,-112.50 	));
            Coords.Add(new LatLon(48.60,-112.37 	));
            Coords.Add(new LatLon(45.25,-112.55 	));
            Coords.Add(new LatLon(46.67,-113.15 	));
            Coords.Add(new LatLon(48.22,-106.62 	));
            Coords.Add(new LatLon(47.13,-104.80 	));
            Coords.Add(new LatLon(47.48,-111.37 	));
            Coords.Add(new LatLon(46.43,-109.83 	));
            Coords.Add(new LatLon(48.55,-109.77 	));
            Coords.Add(new LatLon(46.60,-112.00 	));
            Coords.Add(new LatLon(47.33,-106.93 	));
            Coords.Add(new LatLon(48.30,-114.27 	));
            Coords.Add(new LatLon(47.05,-109.45 	));
            Coords.Add(new LatLon(45.70,-110.43 	));
            Coords.Add(new LatLon(47.50,-111.18 	));
            Coords.Add(new LatLon(46.43,-105.87 	));
            Coords.Add(new LatLon(46.92,-114.08 	));
            Coords.Add(new LatLon(44.57,-112.32 	));
            Coords.Add(new LatLon(47.72,-104.18 	));
            Coords.Add(new LatLon(47.60,-115.37 	));
            Coords.Add(new LatLon(44.65,-111.10 	));
            Coords.Add(new LatLon(44.68,-111.12 	));
            Coords.Add(new LatLon(48.10,-105.58 	));
            Coords.Add(new LatLon(42.58,-99.98 	));
            Coords.Add(new LatLon(42.05,-102.80 	));
            Coords.Add(new LatLon(40.32,-96.75 	));
            Coords.Add(new LatLon(41.43,-99.65 	));
            Coords.Add(new LatLon(41.78,-99.15 	));
            Coords.Add(new LatLon(42.83,-103.08 	));
            Coords.Add(new LatLon(41.45,-97.35 	));
            Coords.Add(new LatLon(40.87,-100.00 	));
            Coords.Add(new LatLon(40.07,-95.58 	));
            Coords.Add(new LatLon(40.97,-98.32 	));
            Coords.Add(new LatLon(40.60,-98.43 	));
            Coords.Add(new LatLon(40.33,-101.39 	));
            Coords.Add(new LatLon(40.53,-101.63 	));
            Coords.Add(new LatLon(40.73,-99.00 	));
            Coords.Add(new LatLon(40.85,-96.75 	));
            Coords.Add(new LatLon(40.22,-100.58 	));
            Coords.Add(new LatLon(42.05,-101.05 	));
            Coords.Add(new LatLon(41.98,-97.43 	));
            Coords.Add(new LatLon(41.37,-96.02 	));
            Coords.Add(new LatLon(41.13,-100.68 	));
            Coords.Add(new LatLon(42.47,-98.68 	));
            Coords.Add(new LatLon(41.12,-95.92 	));
            Coords.Add(new LatLon(41.30,-95.90 	));
            Coords.Add(new LatLon(41.62,-98.95 	));
            Coords.Add(new LatLon(41.87,-103.60 	));
            Coords.Add(new LatLon(41.10,-102.98 	));
            Coords.Add(new LatLon(42.87,-100.55 	));
            Coords.Add(new LatLon(39.83,-117.13 	));
            Coords.Add(new LatLon(39.50,-117.08 	));
            Coords.Add(new LatLon(40.62,-116.87 	));
            Coords.Add(new LatLon(37.62,-114.52 	));
            Coords.Add(new LatLon(40.83,-115.78 	));
            Coords.Add(new LatLon(39.28,-114.85 	));
            Coords.Add(new LatLon(39.50,-115.97 	));
            Coords.Add(new LatLon(39.42,-118.70 	));
            Coords.Add(new LatLon(38.55,-118.63 	));
            Coords.Add(new LatLon(36.53,-115.57 	));
            Coords.Add(new LatLon(36.57,-115.67 	));
            Coords.Add(new LatLon(36.08,-115.17 	));
            Coords.Add(new LatLon(40.10,-118.92 	));
            Coords.Add(new LatLon(36.62,-116.02 	));
            Coords.Add(new LatLon(36.23,-115.03 	));
            Coords.Add(new LatLon(42.58,-116.17 	));
            Coords.Add(new LatLon(39.50,-119.78 	));
            Coords.Add(new LatLon(38.07,-117.08 	));
            Coords.Add(new LatLon(41.33,-116.25 	));
            Coords.Add(new LatLon(40.90,-117.80 	));
            Coords.Add(new LatLon(37.58,-116.08 	));
            Coords.Add(new LatLon(44.58,-71.18 	));
            Coords.Add(new LatLon(43.20,-71.50 	));
            Coords.Add(new LatLon(42.80,-72.00 	));
            Coords.Add(new LatLon(42.90,-72.27 	));
            Coords.Add(new LatLon(43.57,-71.43 	));
            Coords.Add(new LatLon(43.63,-72.30 	));
            Coords.Add(new LatLon(42.93,-71.43 	));
            Coords.Add(new LatLon(44.27,-71.30 	));
            Coords.Add(new LatLon(42.78,-71.52 	));
            Coords.Add(new LatLon(43.08,-70.82 	));
            Coords.Add(new LatLon(44.00,-71.38 	));
            Coords.Add(new LatLon(39.45,-74.57 	));
            Coords.Add(new LatLon(40.28,-74.28 	));
            Coords.Add(new LatLon(40.87,-74.28 	));
            Coords.Add(new LatLon(40.03,-74.35 	));
            Coords.Add(new LatLon(40.02,-74.60 	));
            Coords.Add(new LatLon(39.37,-75.07 	));
            Coords.Add(new LatLon(40.80,-74.42 	));
            Coords.Add(new LatLon(40.70,-74.17 	));
            Coords.Add(new LatLon(40.85,-74.05 	));
            Coords.Add(new LatLon(40.28,-74.82 	));
            Coords.Add(new LatLon(35.05,-106.60 	));
            Coords.Add(new LatLon(34.38,-103.32 	));
            Coords.Add(new LatLon(32.33,-104.27 	));
            Coords.Add(new LatLon(36.45,-103.15 	));
            Coords.Add(new LatLon(34.10,-105.68 	));
            Coords.Add(new LatLon(36.02,-106.95 	));
            Coords.Add(new LatLon(32.25,-107.70 	));
            Coords.Add(new LatLon(36.75,-108.23 	));
            Coords.Add(new LatLon(35.52,-108.78 	));
            Coords.Add(new LatLon(35.17,-107.90 	));
            Coords.Add(new LatLon(32.68,-103.20 	));
            Coords.Add(new LatLon(32.85,-106.10 	));
            Coords.Add(new LatLon(32.30,-106.77 	));
            Coords.Add(new LatLon(35.65,-105.15 	));
            Coords.Add(new LatLon(35.88,-106.28 	));
            Coords.Add(new LatLon(34.98,-106.05 	));
            Coords.Add(new LatLon(32.90,-106.40 	));
            Coords.Add(new LatLon(36.74,-104.50 	));
            Coords.Add(new LatLon(33.30,-104.53 	));
            Coords.Add(new LatLon(35.62,-106.08 	));
            Coords.Add(new LatLon(32.63,-108.17 	));
            Coords.Add(new LatLon(34.07,-106.90 	));
            Coords.Add(new LatLon(36.42,-105.57 	));
            Coords.Add(new LatLon(33.23,-107.27 	));
            Coords.Add(new LatLon(35.18,-103.60 	));
            Coords.Add(new LatLon(32.63,-106.40 	));
            Coords.Add(new LatLon(42.75,-73.80 	));
            Coords.Add(new LatLon(40.75,-74.37 	));
            Coords.Add(new LatLon(42.22,-75.98 	));
            Coords.Add(new LatLon(42.93,-78.73 	));
            Coords.Add(new LatLon(42.97,-78.20 	));
            Coords.Add(new LatLon(42.17,-76.90 	));
            Coords.Add(new LatLon(40.73,-73.43 	));
            Coords.Add(new LatLon(44.05,-75.73 	));
            Coords.Add(new LatLon(43.35,-73.62 	));
            Coords.Add(new LatLon(43.23,-75.40 	));
            Coords.Add(new LatLon(40.78,-73.10 	));
            Coords.Add(new LatLon(42.48,-76.47 	));
            Coords.Add(new LatLon(42.15,-79.25 	));
            Coords.Add(new LatLon(44.93,-74.85 	));
            Coords.Add(new LatLon(41.70,-74.80 	));
            Coords.Add(new LatLon(40.77,-73.98 	));
            Coords.Add(new LatLon(40.65,-73.78 	));
            Coords.Add(new LatLon(40.77,-73.90 	));
            Coords.Add(new LatLon(41.50,-74.10 	));
            Coords.Add(new LatLon(43.10,-78.95 	));
            Coords.Add(new LatLon(44.68,-75.40 	));
            Coords.Add(new LatLon(42.87,-75.12 	));
            Coords.Add(new LatLon(44.65,-73.47 	));
            Coords.Add(new LatLon(41.63,-73.88 	));
            Coords.Add(new LatLon(43.12,-77.67 	));
            Coords.Add(new LatLon(43.12,-77.67 	));
            Coords.Add(new LatLon(44.38,-74.20 	));
            Coords.Add(new LatLon(42.85,-73.93 	));
            Coords.Add(new LatLon(43.12,-76.12 	));
            Coords.Add(new LatLon(43.15,-75.38 	));
            Coords.Add(new LatLon(44.00,-76.02 	));
            Coords.Add(new LatLon(40.85,-72.63 	));
            Coords.Add(new LatLon(41.07,-73.72 	));
            Coords.Add(new LatLon(35.43,-82.55 	));
            Coords.Add(new LatLon(35.27,-75.55 	));
            Coords.Add(new LatLon(35.22,-80.93 	));
            Coords.Add(new LatLon(34.90,-76.88 	));
            Coords.Add(new LatLon(36.13,-76.50 	));
            Coords.Add(new LatLon(35.25,-75.50 	));
            Coords.Add(new LatLon(36.27,-76.18 	));
            Coords.Add(new LatLon(35.00,-78.88 	));
            Coords.Add(new LatLon(35.13,-78.93 	));
            Coords.Add(new LatLon(36.08,-79.95 	));
            Coords.Add(new LatLon(35.75,-81.38 	));
            Coords.Add(new LatLon(35.90,-82.82 	));
            Coords.Add(new LatLon(34.82,-77.62 	));
            Coords.Add(new LatLon(35.32,-77.63 	));
            Coords.Add(new LatLon(35.03,-79.50 	));
            Coords.Add(new LatLon(35.92,-75.68 	));
            Coords.Add(new LatLon(35.08,-77.05 	));
            Coords.Add(new LatLon(34.70,-77.43 	));
            Coords.Add(new LatLon(35.17,-79.02 	));
            Coords.Add(new LatLon(35.87,-78.78 	));
            Coords.Add(new LatLon(35.85,-77.88 	));
            Coords.Add(new LatLon(35.33,-77.97 	));
            Coords.Add(new LatLon(35.24,-79.39 	));
            Coords.Add(new LatLon(34.27,-77.92 	));
            Coords.Add(new LatLon(36.13,-80.23 	));
            Coords.Add(new LatLon(46.77,-100.75 	));
            Coords.Add(new LatLon(48.12,-98.90 	));
            Coords.Add(new LatLon(48.10,-98.87 	));
            Coords.Add(new LatLon(46.78,-102.80 	));
            Coords.Add(new LatLon(46.90,-96.80 	));
            Coords.Add(new LatLon(47.95,-97.18 	));
            Coords.Add(new LatLon(47.97,-97.40 	));
            Coords.Add(new LatLon(46.92,-98.68 	));
            Coords.Add(new LatLon(46.10,-97.15 	));
            Coords.Add(new LatLon(48.42,-101.35 	));
            Coords.Add(new LatLon(48.27,-101.28 	));
            Coords.Add(new LatLon(47.75,-101.83 	));
            Coords.Add(new LatLon(48.18,-103.63 	));
            Coords.Add(new LatLon(39.21,-82.23 	));
            Coords.Add(new LatLon(40.92,-81.43 	));
            Coords.Add(new LatLon(39.05,-84.67 	));
            Coords.Add(new LatLon(39.10,-84.43 	));
            Coords.Add(new LatLon(41.52,-81.68 	));
            Coords.Add(new LatLon(41.57,-81.48 	));
            Coords.Add(new LatLon(41.42,-81.87 	));
            Coords.Add(new LatLon(40.00,-82.88 	));
            Coords.Add(new LatLon(40.08,-83.07 	));
            Coords.Add(new LatLon(39.90,-84.20 	));
            Coords.Add(new LatLon(41.02,-83.67 	));
            Coords.Add(new LatLon(40.82,-82.52 	));
            Coords.Add(new LatLon(39.82,-82.93 	));
            Coords.Add(new LatLon(41.60,-83.80 	));
            Coords.Add(new LatLon(41.63,-81.40 	));
            Coords.Add(new LatLon(39.83,-84.05 	));
            Coords.Add(new LatLon(41.27,-80.67 	));
            Coords.Add(new LatLon(39.95,-81.90 	));
            Coords.Add(new LatLon(34.67,-99.27 	));
            Coords.Add(new LatLon(34.30,-97.02 	));
            Coords.Add(new LatLon(36.75,-96.00 	));
            Coords.Add(new LatLon(35.35,-99.20 	));
            Coords.Add(new LatLon(36.38,-97.80 	));
            Coords.Add(new LatLon(34.65,-98.40 	));
            Coords.Add(new LatLon(36.30,-99.77 	));
            Coords.Add(new LatLon(35.00,-99.05 	));
            Coords.Add(new LatLon(34.57,-98.42 	));
            Coords.Add(new LatLon(34.88,-95.78 	));
            Coords.Add(new LatLon(35.23,-97.47 	));
            Coords.Add(new LatLon(35.40,-97.60 	));
            Coords.Add(new LatLon(35.53,-97.65 	));
            Coords.Add(new LatLon(34.68,-94.62 	));
            Coords.Add(new LatLon(36.73,-97.10 	));
            Coords.Add(new LatLon(36.16,-97.09 	));
            Coords.Add(new LatLon(35.42,-97.38 	));
            Coords.Add(new LatLon(36.20,-95.90 	));
            Coords.Add(new LatLon(36.33,-97.92 	));
            Coords.Add(new LatLon(46.15,-123.88 	));
            Coords.Add(new LatLon(45.25,-122.75 	));
            Coords.Add(new LatLon(44.83,-117.82 	));
            Coords.Add(new LatLon(42.08,-124.47 	));
            Coords.Add(new LatLon(43.60,-118.95 	));
            Coords.Add(new LatLon(43.38,-124.95 	));
            Coords.Add(new LatLon(45.68,-121.88 	));
            Coords.Add(new LatLon(44.50,-123.28 	));
            Coords.Add(new LatLon(44.12,-123.22 	));
            Coords.Add(new LatLon(45.53,-122.95 	));
            Coords.Add(new LatLon(42.15,-121.73 	));
            Coords.Add(new LatLon(45.28,-118.00 	));
            Coords.Add(new LatLon(42.18,-120.35 	));
            Coords.Add(new LatLon(45.50,-118.40 	));
            Coords.Add(new LatLon(42.37,-122.87 	));
            Coords.Add(new LatLon(44.63,-124.05 	));
            Coords.Add(new LatLon(43.42,-124.25 	));
            Coords.Add(new LatLon(44.02,-117.02 	));
            Coords.Add(new LatLon(45.68,-118.85 	));
            Coords.Add(new LatLon(45.60,-122.60 	));
            Coords.Add(new LatLon(44.27,-121.15 	));
            Coords.Add(new LatLon(43.23,-123.37 	));
            Coords.Add(new LatLon(44.92,-123.00 	));
            Coords.Add(new LatLon(42.62,-123.37 	));
            Coords.Add(new LatLon(45.62,-121.15 	));
            Coords.Add(new LatLon(45.55,-122.40 	));
            Coords.Add(new LatLon(40.65,-75.43 	));
            Coords.Add(new LatLon(40.30,-78.32 	));
            Coords.Add(new LatLon(40.75,-80.33 	));
            Coords.Add(new LatLon(40.27,-79.09 	));
            Coords.Add(new LatLon(41.80,-78.63 	));
            Coords.Add(new LatLon(41.18,-78.90 	));
            Coords.Add(new LatLon(42.08,-80.18 	));
            Coords.Add(new LatLon(41.38,-79.87 	));
            Coords.Add(new LatLon(40.22,-76.85 	));
            Coords.Add(new LatLon(40.37,-77.42 	));
            Coords.Add(new LatLon(40.32,-78.83 	));
            Coords.Add(new LatLon(40.13,-76.30 	));
            Coords.Add(new LatLon(40.28,-79.40 	));
            Coords.Add(new LatLon(40.20,-76.77 	));
            Coords.Add(new LatLon(40.43,-76.57 	));
            Coords.Add(new LatLon(40.08,-75.02 	));
            Coords.Add(new LatLon(39.88,-75.25 	));
            Coords.Add(new LatLon(41.47,-78.13 	));
            Coords.Add(new LatLon(40.35,-79.93 	));
            Coords.Add(new LatLon(40.50,-80.22 	));
            Coords.Add(new LatLon(40.38,-75.97 	));
            Coords.Add(new LatLon(39.73,-77.43 	));
            Coords.Add(new LatLon(40.85,-77.83 	));
            Coords.Add(new LatLon(41.33,-75.73 	));
            Coords.Add(new LatLon(41.25,-76.92 	));
            Coords.Add(new LatLon(40.20,-75.15 	));
            Coords.Add(new LatLon(41.17,-71.58 	));
            Coords.Add(new LatLon(41.60,-71.42 	));
            Coords.Add(new LatLon(41.73,-71.43 	));
            Coords.Add(new LatLon(41.36,-71.25 	));
            Coords.Add(new LatLon(34.50,-82.72 	));
            Coords.Add(new LatLon(32.48,-80.72 	));
            Coords.Add(new LatLon(32.90,-80.03 	));
            Coords.Add(new LatLon(33.95,-81.12 	));
            Coords.Add(new LatLon(34.18,-79.72 	));
            Coords.Add(new LatLon(34.85,-82.35 	));
            Coords.Add(new LatLon(34.90,-82.22 	));
            Coords.Add(new LatLon(33.92,-80.80 	));
            Coords.Add(new LatLon(33.68,-78.93 	));
            Coords.Add(new LatLon(33.82,-78.72 	));
            Coords.Add(new LatLon(33.97,-80.47 	));
            Coords.Add(new LatLon(34.92,-81.96 	));
            Coords.Add(new LatLon(45.45,-98.43 	));
            Coords.Add(new LatLon(44.30,-96.80 	));
            Coords.Add(new LatLon(43.80,-99.32 	));
            Coords.Add(new LatLon(43.75,-99.32 	));
            Coords.Add(new LatLon(43.77,-103.60 	));
            Coords.Add(new LatLon(44.15,-103.10 	));
            Coords.Add(new LatLon(44.38,-98.22 	));
            Coords.Add(new LatLon(45.93,-102.17 	));
            Coords.Add(new LatLon(43.77,-98.03 	));
            Coords.Add(new LatLon(45.53,-100.43 	));
            Coords.Add(new LatLon(44.05,-101.60 	));
            Coords.Add(new LatLon(44.05,-101.60 	));
            Coords.Add(new LatLon(44.38,-100.28 	));
            Coords.Add(new LatLon(44.05,-103.07 	));
            Coords.Add(new LatLon(45.16,-103.32 	));
            Coords.Add(new LatLon(43.58,-96.73 	));
            Coords.Add(new LatLon(44.92,-97.15 	));
            Coords.Add(new LatLon(42.92,-97.38 	));
            Coords.Add(new LatLon(36.48,-82.40 	));
            Coords.Add(new LatLon(35.03,-85.20 	));
            Coords.Add(new LatLon(36.62,-87.42 	));
            Coords.Add(new LatLon(35.95,-85.08 	));
            Coords.Add(new LatLon(36.02,-89.40 	));
            Coords.Add(new LatLon(35.60,-88.92 	));
            Coords.Add(new LatLon(35.82,-83.98 	));
            Coords.Add(new LatLon(35.05,-90.00 	));
            Coords.Add(new LatLon(35.35,-89.87 	));
            Coords.Add(new LatLon(35.15,-85.51 	));
            Coords.Add(new LatLon(36.12,-86.68 	));
            Coords.Add(new LatLon(36.00,-86.50 	));
            Coords.Add(new LatLon(32.42,-99.68 	));
            Coords.Add(new LatLon(27.73,-98.03 	));
            Coords.Add(new LatLon(35.23,-101.70 	));
            Coords.Add(new LatLon(30.30,-97.70 	));
            Coords.Add(new LatLon(30.20,-97.68 	));
            Coords.Add(new LatLon(32.39,-101.48 	));
            Coords.Add(new LatLon(32.30,-101.45 	));
            Coords.Add(new LatLon(25.90,-97.43 	));
            Coords.Add(new LatLon(31.79,-98.96 	));
            Coords.Add(new LatLon(32.78,-97.43 	));
            Coords.Add(new LatLon(28.37,-97.67 	));
            Coords.Add(new LatLon(34.43,-100.28 	));
            Coords.Add(new LatLon(30.58,-96.37 	));
            Coords.Add(new LatLon(27.77,-97.50 	));
            Coords.Add(new LatLon(27.70,-97.28 	));
            Coords.Add(new LatLon(28.45,-99.22 	));
            Coords.Add(new LatLon(30.07,-95.55 	));
            Coords.Add(new LatLon(36.02,-102.55 	));
            Coords.Add(new LatLon(32.73,-96.97 	));
            Coords.Add(new LatLon(32.97,-96.83 	));
            Coords.Add(new LatLon(32.90,-97.03 	));
            Coords.Add(new LatLon(32.85,-96.85 	));
            Coords.Add(new LatLon(32.68,-96.87 	));
            Coords.Add(new LatLon(29.37,-100.92 	));
            Coords.Add(new LatLon(32.43,-99.85 	));
            Coords.Add(new LatLon(31.80,-106.40 	));
            Coords.Add(new LatLon(29.62,-95.17 	));
            Coords.Add(new LatLon(32.82,-97.35 	));
            Coords.Add(new LatLon(31.15,-97.72 	));
            Coords.Add(new LatLon(29.27,-94.87 	));
            Coords.Add(new LatLon(31.07,-97.83 	));
            Coords.Add(new LatLon(33.07,-96.07 	));
            Coords.Add(new LatLon(31.83,-104.80 	));
            Coords.Add(new LatLon(26.23,-97.67 	));
            Coords.Add(new LatLon(29.35,-99.17 	));
            Coords.Add(new LatLon(29.97,-95.35 	));
            Coords.Add(new LatLon(29.65,-95.28 	));
            Coords.Add(new LatLon(30.50,-99.77 	));
            Coords.Add(new LatLon(29.38,-98.58 	));
            Coords.Add(new LatLon(29.98,-99.08 	));
            Coords.Add(new LatLon(31.08,-97.68 	));
            Coords.Add(new LatLon(27.50,-97.82 	));
            Coords.Add(new LatLon(27.53,-99.47 	));
            Coords.Add(new LatLon(29.37,-100.78 	));
            Coords.Add(new LatLon(32.38,-94.72 	));
            Coords.Add(new LatLon(33.65,-101.82 	));
            Coords.Add(new LatLon(31.23,-94.75 	));
            Coords.Add(new LatLon(30.37,-104.02 	));
            Coords.Add(new LatLon(26.18,-98.23 	));
            Coords.Add(new LatLon(31.95,-102.18 	));
            Coords.Add(new LatLon(32.78,-98.07 	));
            Coords.Add(new LatLon(28.72,-96.25 	));
            Coords.Add(new LatLon(33.63,-95.45 	));
            Coords.Add(new LatLon(34.17,-101.71 	));
            Coords.Add(new LatLon(30.58,-94.02 	));
            Coords.Add(new LatLon(29.53,-98.28 	));
            Coords.Add(new LatLon(33.60,-102.05 	));
            Coords.Add(new LatLon(28.08,-97.03 	));
            Coords.Add(new LatLon(31.37,-100.50 	));
            Coords.Add(new LatLon(29.53,-98.47 	));
            Coords.Add(new LatLon(29.33,-98.47 	));
            Coords.Add(new LatLon(30.17,-102.42 	));
            Coords.Add(new LatLon(33.72,-96.67 	));
            Coords.Add(new LatLon(28.03,-95.87 	));
            Coords.Add(new LatLon(32.22,-98.18 	));
            Coords.Add(new LatLon(31.15,-97.42 	));
            Coords.Add(new LatLon(32.37,-95.40 	));
            Coords.Add(new LatLon(28.85,-96.92 	));
            Coords.Add(new LatLon(31.62,-97.22 	));
            Coords.Add(new LatLon(33.98,-98.50 	));
            Coords.Add(new LatLon(31.78,-103.20 	));
            Coords.Add(new LatLon(38.03,-109.78 	));
            Coords.Add(new LatLon(37.50,-110.70 	));
            Coords.Add(new LatLon(37.70,-113.10 	));
            Coords.Add(new LatLon(39.33,-112.58 	));
            Coords.Add(new LatLon(40.20,-112.93 	));
            Coords.Add(new LatLon(41.05,-113.07 	));
            Coords.Add(new LatLon(39.00,-110.15 	));
            Coords.Add(new LatLon(38.37,-110.72 	));
            Coords.Add(new LatLon(41.12,-111.97 	));
            Coords.Add(new LatLon(41.78,-111.85 	));
            Coords.Add(new LatLon(38.72,-113.03 	));
            Coords.Add(new LatLon(38.77,-109.75 	));
            Coords.Add(new LatLon(41.18,-112.02 	));
            Coords.Add(new LatLon(39.62,-110.75 	));
            Coords.Add(new LatLon(40.22,-111.72 	));
            Coords.Add(new LatLon(40.50,-110.63 	));
            Coords.Add(new LatLon(37.08,-113.60 	));
            Coords.Add(new LatLon(40.78,-111.97 	));
            Coords.Add(new LatLon(40.17,-112.20 	));
            Coords.Add(new LatLon(40.45,-109.52 	));
            Coords.Add(new LatLon(41.22,-114.05 	));
            Coords.Add(new LatLon(44.47,-73.15 	));
            Coords.Add(new LatLon(44.20,-72.57 	));
            Coords.Add(new LatLon(45.55,-72.33 	));
            Coords.Add(new LatLon(43.53,-73.95 	));
            Coords.Add(new LatLon(44.42,-72.02 	));
            Coords.Add(new LatLon(42.88,-72.88 	));
            Coords.Add(new LatLon(38.13,-78.45 	));
            Coords.Add(new LatLon(37.50,-76.20 	));
            Coords.Add(new LatLon(36.57,-79.33 	));
            Coords.Add(new LatLon(38.72,-77.18 	));
            Coords.Add(new LatLon(37.13,-76.62 	));
            Coords.Add(new LatLon(37.95,-79.82 	));
            Coords.Add(new LatLon(37.08,-76.37 	));
            Coords.Add(new LatLon(37.33,-79.20 	));
            Coords.Add(new LatLon(37.13,-76.50 	));
            Coords.Add(new LatLon(36.93,-76.28 	));
            Coords.Add(new LatLon(36.90,-76.20 	));
            Coords.Add(new LatLon(36.82,-76.03 	));
            Coords.Add(new LatLon(38.50,-77.30 	));
            Coords.Add(new LatLon(37.50,-77.33 	));
            Coords.Add(new LatLon(37.32,-79.97 	));
            Coords.Add(new LatLon(38.27,-78.85 	));
            Coords.Add(new LatLon(36.95,-78.98 	));
            Coords.Add(new LatLon(37.85,-75.48 	));
            Coords.Add(new LatLon(48.80,-122.53 	));
            Coords.Add(new LatLon(47.48,-122.77 	));
            Coords.Add(new LatLon(48.50,-122.33 	));
            Coords.Add(new LatLon(48.88,-118.47 	));
            Coords.Add(new LatLon(47.32,-119.52 	));
            Coords.Add(new LatLon(47.92,-122.28 	));
            Coords.Add(new LatLon(47.62,-117.65 	));
            Coords.Add(new LatLon(47.08,-122.58 	));
            Coords.Add(new LatLon(46.57,-119.60 	));
            Coords.Add(new LatLon(46.97,-123.97 	));
            Coords.Add(new LatLon(47.15,-122.48 	));
            Coords.Add(new LatLon(47.20,-119.32 	));
            Coords.Add(new LatLon(48.25,-122.68 	));
            Coords.Add(new LatLon(46.97,-122.90 	));
            Coords.Add(new LatLon(48.42,-119.53 	));
            Coords.Add(new LatLon(46.27,-119.12 	));
            Coords.Add(new LatLon(48.12,-123.50 	));
            Coords.Add(new LatLon(48.22,-123.67 	));
            Coords.Add(new LatLon(46.75,-117.12 	));
            Coords.Add(new LatLon(47.95,-124.55 	));
            Coords.Add(new LatLon(47.50,-122.22 	));
            Coords.Add(new LatLon(47.45,-122.30 	));
            Coords.Add(new LatLon(47.53,-122.30 	));
            Coords.Add(new LatLon(47.25,-123.15 	));
            Coords.Add(new LatLon(47.63,-117.53 	));
            Coords.Add(new LatLon(47.67,-117.33 	));
            Coords.Add(new LatLon(47.28,-121.33 	));
            Coords.Add(new LatLon(47.27,-122.58 	));
            Coords.Add(new LatLon(46.48,-122.80 	));
            Coords.Add(new LatLon(46.10,-118.28 	));
            Coords.Add(new LatLon(47.40,-120.20 	));
            Coords.Add(new LatLon(48.35,-122.65 	));
            Coords.Add(new LatLon(46.57,-120.53 	));
            Coords.Add(new LatLon(37.78,-81.12 	));
            Coords.Add(new LatLon(37.30,-81.22 	));
            Coords.Add(new LatLon(38.37,-81.60 	));
            Coords.Add(new LatLon(39.28,-80.23 	));
            Coords.Add(new LatLon(38.88,-79.85 	));
            Coords.Add(new LatLon(38.37,-82.55 	));
            Coords.Add(new LatLon(37.87,-80.40 	));
            Coords.Add(new LatLon(39.40,-77.98 	));
            Coords.Add(new LatLon(39.65,-79.92 	));
            Coords.Add(new LatLon(39.35,-81.43 	));
            Coords.Add(new LatLon(40.18,-80.65 	));
            Coords.Add(new LatLon(37.46,-80.20 	));
            Coords.Add(new LatLon(44.25,-88.52 	));
            Coords.Add(new LatLon(44.87,-91.48 	));
            Coords.Add(new LatLon(44.48,-88.13 	));
            Coords.Add(new LatLon(42.62,-89.03 	));
            Coords.Add(new LatLon(43.87,-91.25 	));
            Coords.Add(new LatLon(43.20,-90.18 	));
            Coords.Add(new LatLon(43.13,-89.33 	));
            Coords.Add(new LatLon(44.13,-87.67 	));
            Coords.Add(new LatLon(42.95,-87.90 	));
            Coords.Add(new LatLon(43.12,-88.05 	));
            Coords.Add(new LatLon(44.78,-89.67 	));
            Coords.Add(new LatLon(44.22,-88.53 	));
            Coords.Add(new LatLon(44.00,-88.57 	));
            Coords.Add(new LatLon(45.63,-89.45 	));
            Coords.Add(new LatLon(45.48,-91.72 	));
            Coords.Add(new LatLon(43.93,-90.27 	));
            Coords.Add(new LatLon(44.92,-89.62 	));
            Coords.Add(new LatLon(42.57,-110.10 	));
            Coords.Add(new LatLon(42.92,-106.47 	));
            Coords.Add(new LatLon(41.15,-104.82 	));
            Coords.Add(new LatLon(44.52,-109.02 	));
            Coords.Add(new LatLon(42.75,-105.38 	));
            Coords.Add(new LatLon(41.33,-111.00 	));
            Coords.Add(new LatLon(44.35,-105.53 	));
            Coords.Add(new LatLon(43.60,-110.73 	));
            Coords.Add(new LatLon(42.82,-108.73 	));
            Coords.Add(new LatLon(41.32,-105.68 	));
            Coords.Add(new LatLon(44.35,-104.81 	));
            Coords.Add(new LatLon(41.80,-107.20 	));
            Coords.Add(new LatLon(43.05,-108.45 	));
            Coords.Add(new LatLon(41.60,-109.07 	));
            Coords.Add(new LatLon(44.77,-106.97 	));
            Coords.Add(new LatLon(43.97,-107.97 	));
            Coords.Add(new LatLon(44.55,-110.42 	));
            Coords.Add(new LatLon(44.55,- 110.42));

            #endregion
        }

        private void GenerateButton_Click(object sender, RoutedEventArgs e)
        {

            for (int i = 0, num = 0; i < 1186; i += 5, num++)
            {
                List<LatLon> c = new List<LatLon>();
                for (int j = 0; j < 30; j++)
                {
                    c.Add(Coords[i + j]);
                }
                MapControl mapCtrl = new MapControl();
                mapCtrl.CoordList = c;
                mapCtrl.isBing = true;
                mapCtrl.bingType = ThinkGeo.MapSuite.Core.BingMapsMapType.Road;
                mapCtrl.Height = (height-50);
                mapCtrl.Width = width;
                mapCtrl.Label1.Content = "Bing" + num;
                exportMap(mapCtrl, "Bing" + num);

                mapCtrl = new MapControl();
                mapCtrl.CoordList = c;
                mapCtrl.isBing = false;
                mapCtrl.Height = height-50;
                mapCtrl.Width = width;
                mapCtrl.Label1.Content = "Shape" + num;
                exportMap(mapCtrl, "Shape" + num);

            }
        }

        private void exportMap(MapControl mapCtrl, string filename)
        {

            Bitmap tbmp = mapCtrl.ExportMaptoBmp();

            if (tbmp == null)
            {
                return;
            }

            IntPtr hBitmap = tbmp.GetHbitmap();
            BitmapSource bmp;
            try
            {
                bmp = System.Windows.Interop.Imaging.CreateBitmapSourceFromHBitmap(hBitmap, IntPtr.Zero, Int32Rect.Empty,
                System.Windows.Media.Imaging.BitmapSizeOptions.FromEmptyOptions());
            }
            finally
            {
                DeleteObject(hBitmap);

            }

            tbmp.Dispose();
            mapCtrl.Map.Dispose();
            StackPanel sp = new StackPanel();
            System.Windows.Controls.Image mapImage = new System.Windows.Controls.Image();
            mapImage.Width = width;
            mapImage.Height = height -50;
            mapImage.Source = bmp;
            sp.Orientation = Orientation.Vertical;
            mapCtrl.Panel1.Children.Remove(mapCtrl.Label1);
            sp.Children.Add(mapImage);
            sp.Children.Add(mapCtrl.Label1);

            filename = filename + ".jpg";
            string fName = System.IO.Path.Combine(OutputFolder.Text, filename.Replace('\\', '-').Replace('/', '-'));
            sp.Measure(new System.Windows.Size(double.MaxValue, double.MaxValue));
            sp.Arrange(new Rect(new System.Windows.Size(width, height)));
            sp.UpdateLayout();
             try
            {
                if (File.Exists(fName))
                {
                    try
                    {
                        File.Delete(fName);
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show("Unable to delete existing image file: " + ex.Message);
                    }
                }
                try
                {
                    RenderTargetBitmap rtbmp;
                    rtbmp = new RenderTargetBitmap(
                    Convert.ToInt32(Math.Ceiling(sp.DesiredSize.Width)),
                    Convert.ToInt32(Math.Ceiling(sp.DesiredSize.Height)),
                    96, 96, PixelFormats.Pbgra32);
                    rtbmp.Render(sp);
                    BitmapEncoder encoder = new JpegBitmapEncoder();
                    BitmapFrame bf = BitmapFrame.Create(rtbmp);
                    encoder.Frames.Add(BitmapFrame.Create(rtbmp));
                    using (Stream stm = File.Create(fName))
                    {
                        encoder.Save(stm);
                    }
                }
                catch (Exception ex)
                {
                    MessageBox.Show("Unable to save image file: " + ex.Message);
                }
                
            }
            catch (Exception ex)
            {
                MessageBox.Show("There was a problem saving your map:\r\n" + ex.ToString());
            }
        }

        private void Browse_Click(object sender, RoutedEventArgs e)
        {
            System.Windows.Forms.FolderBrowserDialog fbd = new System.Windows.Forms.FolderBrowserDialog();

            if (fbd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                OutputFolder.Text = fbd.SelectedPath;
            }

        }


    }
    


}
